ALTER TABLE SERVICE_COND ADD CHECK_EXISTING_SERVICES VARCHAR2(1 CHAR);

UPDATE SERVICE_COND SET CHECK_EXISTING_SERVICES = 'Y' WHERE CHECK_EXISTING_SERVICES IS NULL;

ALTER TABLE SERVICE_COND MODIFY CHECK_EXISTING_SERVICES VARCHAR2(1 CHAR) NOT NULL;

CREATE OR REPLACE FORCE VIEW V_SERVICE_COND (ID_SERVICE_COND, DESCRIPTION, INTERNAL_DESCRIPTION, SERVICE_CODE, GROUP_TYPE, OPERATION_TYPE, LIMIT_VALUE, LIMIT_VALUE_TYPE, NEGATE_SERVICE_VALUE, SERVICE, CHECK_EXISTING_SERVICES) AS
SELECT 
    S.ID_SERVICE_COND, 
    S.DESCRIPTION, 
    S.INTERNAL_DESCRIPTION, 
    S.SERVICE_CODE, 
    S.GROUP_TYPE, 
    S.OPERATION_TYPE, 
    S.LIMIT_VALUE,
    S.NEGATE_SERVICE_VALUE,
    S.LIMIT_VALUE_TYPE,
    SN.OPIS AS SERVICE,
	S.CHECK_EXISTING_SERVICES
FROM 
    SERVICE_COND S 
    LEFT OUTER JOIN M_NNSTOMAR SN ON SN.SIFRA = S.SERVICE_CODE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2279, SYSDATE, '5.5', 2199, 'Conditional services')
;
